GNU Radio's SATELLITES Package

ViterbiCodec Class Reference

`#include <viterbi.h>`

## Public Member Functions
| ViterbiCodec (int constraint, const std::vector< int > &polynomials)
std::string | Encode (const std::string &bits) const
std::string | Decode (const std::string &bits) const
int | constraint () const
const std::vector< int > & | polynomials () const

## Constructor & Destructor Documentation

## ◆ ViterbiCodec()

ViterbiCodec::ViterbiCodec | ( | int | constraint,
|  | const std::vector< int > & | polynomials )

References constraint(), and polynomials().

## Member Function Documentation

## ◆ constraint()

int ViterbiCodec::constraint | ( |  | ) | const
| inline

Referenced by ViterbiCodec().

## ◆ Decode()

std::string ViterbiCodec::Decode | ( | const std::string & | bits | ) | const

## ◆ Encode()

std::string ViterbiCodec::Encode | ( | const std::string & | bits | ) | const

## ◆ polynomials()

const std::vector< int > & ViterbiCodec::polynomials | ( |  | ) | const
| inline

Referenced by ViterbiCodec().

The documentation for this class was generated from the following file:

- viterbi/viterbi.h